
%if 0%{?fedora}
%global with_devel 0
%global with_bundled 1
%global with_debug 1
%else
%global with_devel 0
%global with_bundled 1
%global with_debug 0
%endif

%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

Name:             etcd
Version:          3.4.3
Release:	      1.0.5%{?dist}
Summary:	      A highly-available key value store for shared configuration
License:	      ASL 2.0
Group:            System/Management
URL:		      https://github.com/coreos/etcd
Vendor:		      Oracle America
Source0:          %{name}-%{version}.tar.bz2
BuildRequires:    golang >= 1.15.9
BuildRequires:    libpcap-devel
BuildRequires:	  systemd
Requires(pre):	  shadow-utils
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
A highly-available key value store for shared configuration.

%package -n %{name}-docker-image
Summary: etcd docker image for Oracle Linux

%description -n %{name}-docker-image
etcd docker image for Oracle Linux

%prep
%setup -q -n %{name}-%{version}

%build
unset GOPROXY
go version

# With a newer golang (from 1.13 to 1.15) a new error is faced:
# "is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt"
go mod tidy
go mod vendor

export ETCD_SETUP_GOPATH=1
./build

%install
install -D -p -m 0755 bin/%{name} %{buildroot}%{_bindir}/%{name}
install -D -p -m 0755 bin/%{name}ctl %{buildroot}%{_bindir}/%{name}ctl

# And create /var/lib/etcd
install -d -m 0755 %{buildroot}%{_sharedstatedir}/%{name}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%{_bindir}/%{name}
%{_bindir}/%{name}ctl

%changelog
* Mon Apr 19 2021 Daniel Carvallo <luis.daniel.carvallo@oracle.com> - 3.4.3-1.0.5
- Address CVE-2021-27918

* Fri Oct 30 2020 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 3.4.3-1.0.4
- bump version to support the release of ol8 image

* Tue Oct 13 2020 Tom Cocozzello <tom.cocozzello@oracle.com> - 3.4.3-1.0.3
- support building on ol8

* Mon Aug 17 2020 Tom Cocozzello <tom.cocozzello@oracle.com> - 3.4.3-1.0.2
- Address CVE-2020-16845

* Thu Jan 09 2020 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 3.4.3-1.0.1
- Added Oracle specific build files